# Generated by go2rpm
%bcond_without check

# https://github.com/ajstarks/deck
%global goipath         github.com/ajstarks/deck
%global commit          30c9fc6549a9c9cf8a6d87f7fb2e66b6469e4287

%gometa

%global goipathsex      github.com/ajstarks/deck/cmd

%global common_description %{expand:
Deck is a library for clients to make scalable presentations, using a standard
markup language. Clients read deck files into the Deck structure, and traverse
the structure for display, publication, etc. Clients may be interactive or
produce standard formats such as SVG or PDF.}

%global golicenses      LICENSE
%global godocs          examples README.md

Name:           %{goname}
Version:        0
Release:        0.17%{?dist}
Summary:        Slide Decks

License:        CC-BY
URL:            %{gourl}
Source0:        %{gosource}

# To package
# BuildRequires:  golang(fyne.io/fyne)
# BuildRequires:  golang(fyne.io/fyne/layout)
# BuildRequires:  golang(fyne.io/fyne/theme)
# BuildRequires:  golang(fyne.io/fyne/widget)
BuildRequires:  golang(gioui.org/app)
BuildRequires:  golang(gioui.org/io/key)
BuildRequires:  golang(gioui.org/io/system)
BuildRequires:  golang(gioui.org/op)
BuildRequires:  golang(gioui.org/unit)
# BuildRequires:  golang(github.com/ajstarks/fc)
# BuildRequires:  golang(github.com/ajstarks/giocanvas)
BuildRequires:  golang(github.com/ajstarks/svgo)
BuildRequires:  golang(github.com/ajstarks/svgo/float)
BuildRequires:  golang(github.com/disintegration/gift)
BuildRequires:  golang(github.com/fogleman/gg)
BuildRequires:  golang(github.com/jung-kurt/gofpdf)

%description
%{common_description}

%gopkg

%prep
%goprep
rm -rf cmd/vgdeck
rm -rf cmd/fcdeck
rm -rf cmd/gcdeck

%build
for cmd in cmd/pngdeck cmd/pdfdeck cmd/svgdeck ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%gocheck
%endif

%files
%license LICENSE
%doc examples README.md
%{_bindir}/*

%gopkgfiles

%changelog
* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jul 19 2022 Maxwell G <gotmax@e.email> - 0-0.13
- Rebuild for CVE-2022-{1705,32148,30631,30633,28131,30635,30632,30630,1962} in
  golang

* Fri Jun 17 2022 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.12
- Rebuilt for CVE-2022-1996, CVE-2022-24675, CVE-2022-28327, CVE-2022-27191,
  CVE-2022-29526, CVE-2022-30629

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Jan 14 13:17:05 CET 2021 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.8.20210114git30c9fc6
- Bump to commit 30c9fc6549a9c9cf8a6d87f7fb2e66b6469e4287

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Jul 23 14:48:12 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.6.20200723git91efe3d
- Exclude cmd/ from install

* Thu Jul 23 08:20:15 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.5.20200723git91efe3d
- Bump to commit 91efe3db76b2ca01c7fd73834f8472d04f89110a

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sun Jan 26 18:09:25 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.3.20200126gitb22ec51
- Bump to commit b22ec51b2c1e28a2cdaf016c16a22456e10188df

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu May 16 22:51:41 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.1.20190701git3beea55
- Initial package
